From 3a01affd66f8dfdcc124e23595217f3ae5a09723 Mon Sep 17 00:00:00 2001
From: Dag Andersen <danders@get2net.dk>
Date: Thu, 20 Jun 2019 10:52:00 +0200
Subject: ICal: Adapt to api changes in KCalCore

---
 CMakeLists.txt                                     | 37 +++++++++++-----------
 src/CMakeLists.txt                                 |  4 +++
 .../filters/icalendar/export/icalendarexport.cpp   |  5 +++
 3 files changed, 27 insertions(+), 19 deletions(-)

diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index 0dabbaf..49fa642 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -75,6 +75,10 @@ if ("${KF5CalendarCore_VERSION}" VERSION_GREATER 5.6.40)
     set(HAVE_QDATETIME_KCALCORE TRUE)
 endif()
 
+if ("${KF5CalendarCore_VERSION}" VERSION_GREATER 5.11.42)
+    set(KCALCORE_HAVE_NO_PERSION_PTR TRUE)
+endif()
+
 if (PLANCHARTDEBUG)
     add_definitions(-DPLAN_CHART_DEBUG)
 endif ()
diff --git a/src/plugins/filters/icalendar/export/icalendarexport.cpp b/src/plugins/filters/icalendar/export/icalendarexport.cpp
index cd75598..ce29bfe 100644
--- a/src/plugins/filters/icalendar/export/icalendarexport.cpp
+++ b/src/plugins/filters/icalendar/export/icalendarexport.cpp
@@ -141,8 +141,13 @@ void ICalendarExport::createTodos(KCalCore::Calendar::Ptr cal, const Node *node,
         todo->setOrganizer(node->projectNode()->leader());
     }
     if ( node->type() != Node::Type_Project && ! node->leader().isEmpty()) {
+#if KCALCORE_HAVE_NO_PERSION_PTR
+        KCalCore::Person p = KCalCore::Person::fromFullName(node->leader());
+        KCalCore::Attendee::Ptr a(new KCalCore::Attendee(p.name(), p.email()));
+#else
         KCalCore::Person::Ptr p = KCalCore::Person::fromFullName(node->leader());
         KCalCore::Attendee::Ptr a(new KCalCore::Attendee(p->name(), p->email()));
+#endif
         a->setRole(KCalCore::Attendee::NonParticipant);
         todo->addAttendee(a);
     }
-- 
cgit v1.1
